<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="uprrp.tania">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />

    <application
        android:name=".App"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="TANIA"
        android:roundIcon="@mipmap/ic_launcher"
        android:supportsRtl="true"
        android:theme="@style/Theme.TANIA"
        android:usesCleartextTraffic="true">

        <activity
            android:name=".activities.ConsentPdfViewerActivity"
            android:label="@string/title_activity_consent_pdf_viewer"
            android:theme="@style/Theme.TANIA.NoActionBar" />
        <activity android:name=".activities.GettingStartedActivity">
            <intent-filter>
                <category android:name="android.intent.category.LAUNCHER" />
                <action android:name="android.intent.action.MAIN" />
            </intent-filter>
        </activity>
        <activity android:name=".activities.MainActivity">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="main_activity"
                    android:scheme="tania" />
            </intent-filter>
        </activity>
        <activity
            android:name="org.researchstack.backbone.ui.ViewTaskActivity"
            android:parentActivityName=".activities.MainActivity"
            android:theme="@style/Theme.TANIA"
            android:windowSoftInputMode="adjustResize" />
        <activity
            android:name="org.researchstack.backbone.ui.ViewWebDocumentActivity"
            android:label="@string/appName"
            android:parentActivityName=".activities.MainActivity"
            android:theme="@style/Theme.TANIA" />
        <activity
            android:name=".activities.RegisterActivity"
            android:parentActivityName=".activities.GettingStartedActivity">
            <intent-filter>
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name=".activities.AccountRecoveryActivity"
            android:parentActivityName=".activities.GettingStartedActivity">
            <intent-filter>
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name=".activities.ForgotPasswordActivity"
            android:parentActivityName=".activities.AccountRecoveryActivity"
            android:theme="@style/Theme.TANIA">
            <intent-filter>
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name=".activities.ResetPasswordActivity"
            android:parentActivityName=".activities.ResetPasswordActivity"
            android:theme="@style/Theme.TANIA">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="account"
                    android:scheme="tania" />
            </intent-filter>
        </activity>
        <activity
            android:name=".activities.ExperienceRegistrationActivity"
            android:parentActivityName=".activities.ExperienceRegistrationActivity"
            android:theme="@style/Theme.TANIA">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="experiencia"
                    android:scheme="tania" />
            </intent-filter>
        </activity>



        <meta-data
            android:name="preloaded_fonts"
            android:resource="@array/preloaded_fonts" />
<!--        <meta-data-->
<!--            android:name="com.google.firebase.messaging.default_notification_icon"-->
<!--            android:resource="@drawable/ic_stat_ic_notification" />-->
        <!-- Set color used with incoming notification messages. This is used when no color is set for the incoming notification message. -->

        <meta-data
            android:name="com.google.firebase.messaging.default_notification_color"
            android:resource="@color/colorAccent" />
        <meta-data
            android:name="com.google.firebase.messaging.default_notification_channel_id"
            android:value="default_notification_channel_id"/>

        <service android:name=".services.MyFirebaseMessagingService">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>
    </application>

</manifest>